<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.25
Name: [2] Treść dokumentu recepty
Description: Bazowy szablon struktury CDA dla treści medycznej recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000">
   <title>[2] Treść dokumentu recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]"
         id="tmp-r-556f7f0e-299c-4f96-a4a9-87093f148760">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'])&gt;=1 ">(plCdaDrugPrescriptionComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'])&lt;=1">(plCdaDrugPrescriptionComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']"
         id="tmp-r-7c495a9c-d57b-46f7-95a9-e07efefe77dd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDrugPrescriptionComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaDrugPrescriptionComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(//(hl7:observation|hl7:substanceAdministration|hl7:supply|hl7:procedure|hl7:encounter|hl7:act|hl7:externalDocument)[not(ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']) and not(ancestor::hl7:entryRelationship) and not(hl7:text/hl7:reference)])&gt;0">(plCdaDrugPrescriptionComponent):  Element text dla danego wyrażenia klinicznego jest wymagany, ze wskazaniem
               referencji do odpowiedniego elementu section.text. </report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25']/@nullFlavor)">(plCdaDrugPrescriptionComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25'])&lt;=1">(plCdaDrugPrescriptionComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">(plCdaDrugPrescriptionComponent): element hl7:structuredBody jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:structuredBody)&lt;=1">(plCdaDrugPrescriptionComponent): element hl7:structuredBody występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.25']"
         id="tmp-r-6691cd17-b8a2-49e5-926f-be5d8f09c415">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.25'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.25'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody"
         id="tmp-r-3497579b-6b09-4d18-a4eb-5c0494cdde77">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaDrugPrescriptionComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDrugPrescriptionComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.4']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.4']]]/@nullFlavor)">(plCdaDrugPrescriptionComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.4']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.4']]])&lt;=1">(plCdaDrugPrescriptionComponent): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.4']]] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.4']]]
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.69']]]
Item: (plCdaDrugPrescriptionComponent)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:section
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2']"
         id="tmp-r-2cbf834a-6b30-49f4-90d2-8fd8109106a6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.13']
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.13']/hl7:section
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.13']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.13']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.13']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.13']"
         id="tmp-r-a45937b0-715c-4ef3-b64e-39882958d5cf">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.13'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.3.13'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.6']
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.6']/hl7:section
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.6']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.6']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.6']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.6']"
         id="tmp-r-94b5a24d-ff8c-4839-9f20-315b00e4d765">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.6'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.3.6'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:section
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.8']"
         id="tmp-r-bbe35975-bf57-4ddd-8686-165f5d26a827">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.8'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.3.8'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.23']
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.23']/hl7:section
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.23']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.23']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.23']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.23']"
         id="tmp-r-632e5176-aa67-4178-8abf-371fd4f9f2c7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.23'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.3.23'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4']
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4']/hl7:section
Item: (plCdaDrugPrescriptionComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.25
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4']
Item: (plCdaDrugPrescriptionComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/hl7:structuredBody/hl7:component[hl7:section/hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4']/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4']"
         id="tmp-r-21c7f06a-43dd-4690-b027-c0f04da8b865">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.25-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4'">(plCdaDrugPrescriptionComponent): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.4'.</assert>
   </rule>
</pattern>
