<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.80
Name: [4] Potwierdzenie całkowitej dawki substancji czynnej
Description: Szablon CDA dla potwierdzenia całkowitej dawki substancji
            czynnej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000">
   <title>[4] Potwierdzenie całkowitej dawki substancji czynnej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]"
         id="tmp-r-2e326eb9-17eb-47ff-a890-7fa7657e5a0f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])&gt;=1 and not(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']"
         id="tmp-r-cce42951-7460-4a59-86f9-4e4dd45ea4cd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@classCode)='SPLY' or not(@classCode)">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] | self::hl7:code[@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14'] | self::hl7:text | self::hl7:product)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&gt;=1 and not(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:product)&gt;=1 ">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:product jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']"
         id="tmp-r-ffc93e9f-254c-4f2c-88e0-d9bc3a89e50c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.80'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.80'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]"
         id="tmp-r-c2fcf789-7046-4b41-aed5-2b52e655c606">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaActiveSubstanceTotalDoseConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="@nullFlavor or (@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość elementu MUSI wynosić code 'CDSC' codeSystem '2.16.840.1.113883.3.4424.13.5.3.14'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product"
         id="tmp-r-e916ff57-92c7-403e-ab7d-f83db2e91234">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-5ee5414b-63a9-4f81-bf4c-2d6462943d9a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-995a2ea5-70bd-49a5-ab50-099eb732b672">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:ingredient[@classCode='ACTI'])])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient"
         id="tmp-r-075008d2-c3e1-4555-bfe7-bc9e14a9c993">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@classCode)='ACTI'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'ACTI'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:quantity | self::pharm:ingredient[@classCode='MMAT' and @determinerCode='KIND'])])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:quantity)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:ingredient)&gt;=1 and not(pharm:ingredient/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:ingredient jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:ingredient)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity"
         id="tmp-r-a8dedf1c-59d1-49f2-a2d7-25b692dfae7f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:numerator | self::pharm:denominator)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:numerator)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:numerator występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:denominator)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:denominator występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/pharm:numerator
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/pharm:denominator
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient"
         id="tmp-r-51742521-f038-4648-aa74-536b3aab9ade">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@classCode)='MMAT'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@determinerCode)='KIND'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:code)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:code)&gt;=1 and not(pharm:code/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code"
         id="tmp-r-9b19eb1c-1978-4ebc-a0b0-34288c669866">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaActiveSubstanceTotalDoseConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
